Bug 26787 - REGRESSION (r45064): Drop caret remains in text control after the mouse exits
: REGRESSION (r45064): Drop caret remains in text control after the mouse exits
Status: RESOLVED FIXED
: WebKit
WebKit Misc.
: 528+ (Nightly build)
: Macintosh Mac OS X 10.5
: P1 Normal
Assigned To:
: https://bugs.webkit.org/attachment.cg...
: InRadar, Regression
:
:
  Show dependency treegraph
 
Reported: 2009-06-28 19:22 PST by
Modified: 2009-12-22 11:30 PST (History)


Attachments
An update for smfr (4.22 KB, patch)
2009-08-03 15:33 PST, Eric Seidel
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-06-28 19:22:49 PST
Steps to reproduce:
1) Go to the URL
2) Drag a file to the file upload control, passing over the Description text field on the way over

Results:
A drag caret appears in the text field when the mouse passes over it, but does not disappear when the mouse exits the field, nor when the file is dropped on the control. The caret should disappear as soon as the mouse exits the field.
------- Comment #1 From 2009-06-28 20:00:36 PST -------
This was most likely caused by <http://trac.webkit.org/changeset/45064>.
------- Comment #2 From 2009-06-28 20:00:57 PST -------
<rdar://problem/7014793>
------- Comment #3 From 2009-06-28 20:06:18 PST -------
Confirmed that reverting r45064 and r45065 fixes the bug.
------- Comment #4 From 2009-07-02 12:25:58 PST -------
I found bug 24731 which is unlikely to be related, but reminded me of this bug.
------- Comment #5 From 2009-07-02 12:28:18 PST -------
Hum.  I'm not sure how the caret is supposed to be set back when the mouse exits.  Maybe before the dragging over other random parts of the page always returned "None"  I'll have to try this in the debugger.
------- Comment #6 From 2009-07-08 10:10:01 PST -------
I owe you a fix for this.  I'll look today.
------- Comment #7 From 2009-08-03 14:10:00 PST -------
Eric: any update?
------- Comment #8 From 2009-08-03 15:33:23 PST -------
Created an attachment (id=34010) [details]
An update for smfr


---
 6 files changed, 33 insertions(+), 7 deletions(-)
------- Comment #9 From 2009-08-04 21:22:32 PST -------
Oh, did this never land?
------- Comment #10 From 2009-08-04 21:23:17 PST -------
I think this was the patch I was trying to land when run-webkit-tests started failing with the zsh error for me.  Will land now.
------- Comment #11 From 2009-08-04 21:36:12 PST -------
(From update of attachment 34010 [details])
Clearing review flag on attachment: 34010

Committing to http://svn.webkit.org/repository/webkit/trunk ...
    M    LayoutTests/ChangeLog
    M    LayoutTests/fast/forms/drag-into-textarea.html
    M    LayoutTests/fast/forms/drag-out-of-textarea.html
    M    WebCore/ChangeLog
    A    WebCore/manual-tests/drag-caret.html
    M    WebCore/page/DragController.cpp
Committed r46792
    M    WebCore/ChangeLog
    M    WebCore/page/DragController.cpp
    A    WebCore/manual-tests/drag-caret.html
    M    LayoutTests/ChangeLog
    M    LayoutTests/fast/forms/drag-out-of-textarea.html
    M    LayoutTests/fast/forms/drag-into-textarea.html
r46792 = 9d9d45a380de61fd378173cac93fd81b2b9c865f (trunk)
No changes between current HEAD and refs/remotes/trunk
Resetting to the latest refs/remotes/trunk
http://trac.webkit.org/changeset/46792
------- Comment #12 From 2009-08-04 21:36:15 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #13 From 2009-12-22 10:09:43 PST -------
This was also causing random crashes at page teardown time (usually in Node::isDescendantOf()).
------- Comment #14 From 2009-12-22 11:09:20 PST -------
I'm confused by ap's comment.  This was successfully fixed, yes?  You were just noting this had other symptoms, no?
------- Comment #15 From 2009-12-22 11:30:03 PST -------
Yes.